Package com.ocient.jdbc.proto

# Interface PlanProtocol.OffsetOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.OffsetOperator`, `PlanProtocol.OffsetOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.OffsetOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getCheckedExceptionCols​(int index)` | `repeated string checkedExceptionCols = 4;`
`com.google.protobuf.ByteString` | `getCheckedExceptionColsBytes​(int index)` | `repeated string checkedExceptionCols = 4;`
`int` | `getCheckedExceptionColsCount()` | `repeated string checkedExceptionCols = 4;`
`List<String>` | `getCheckedExceptionColsList()` | `repeated string checkedExceptionCols = 4;`
`boolean` | `getGrouped()` | If true, this is a grouped limit as is used by correlated subqueries
`String` | `getGroupingKeys​(int index)` | And these are the grouping keys
`com.google.protobuf.ByteString` | `getGroupingKeysBytes​(int index)` | And these are the grouping keys
`int` | `getGroupingKeysCount()` | And these are the grouping keys
`List<String>` | `getGroupingKeysList()` | And these are the grouping keys
`long` | `getOffsetVal()` | `uint64 offsetVal = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getOffsetVal

long getOffsetVal()
`uint64 offsetVal = 1;`

### getGrouped

boolean getGrouped()

    If true, this is a grouped limit as is used by correlated subqueries

`bool grouped = 2;`

### getGroupingKeysList

List<String> getGroupingKeysList()

    And these are the grouping keys

`repeated string groupingKeys = 3;`

### getGroupingKeysCount

int getGroupingKeysCount()

    And these are the grouping keys

`repeated string groupingKeys = 3;`

### getGroupingKeys

String getGroupingKeys​(int index)

    And these are the grouping keys

`repeated string groupingKeys = 3;`

### getGroupingKeysBytes

com.google.protobuf.ByteString getGroupingKeysBytes​(int index)

    And these are the grouping keys

`repeated string groupingKeys = 3;`

### getCheckedExceptionColsList

List<String> getCheckedExceptionColsList()
`repeated string checkedExceptionCols = 4;`

### getCheckedExceptionColsCount

int getCheckedExceptionColsCount()
`repeated string checkedExceptionCols = 4;`

### getCheckedExceptionCols

String getCheckedExceptionCols​(int index)
`repeated string checkedExceptionCols = 4;`

### getCheckedExceptionColsBytes

com.google.protobuf.ByteString getCheckedExceptionColsBytes​(int index)
`repeated string checkedExceptionCols = 4;`